curl --request POST \
--url https://api.unibee.dev/merchant/member/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"createTimeEnd": 123,
"createTimeStart": 123,
"email": "<string>",
"page": 123,
"roleIds": [
123
],
"searchKey": "<string>"
}
'{
"code": 123,
"data": {
"merchantMembers": [
{
"MemberGroupPermission": {},
"MemberRoles": [
{
"createTime": 123,
"id": 123,
"merchantId": 123,
"permissions": [
{
"group": "<string>",
"permissions": [
"<string>"
]
}
],
"role": "<string>"
}
],
"createTime": 123,
"currentDeviceIdentity": "<string>",
"deviceList": [
{
"currentDevice": true,
"identity": "<string>",
"ipAddress": "<string>",
"lastActiveTime": 123,
"lastLoginTime": 123,
"lastTotpVerificationTime": 123,
"name": "<string>",
"status": true
}
],
"email": "<string>",
"firstName": "<string>",
"id": 123,
"isBlankPasswd": true,
"isOwner": true,
"lastName": "<string>",
"merchantId": 123,
"mobile": "<string>",
"oauthAccounts": [
{
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"name": "<string>",
"provider": "<string>",
"providerId": "<string>"
}
],
"status": 123,
"totpType": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request POST \
--url https://api.unibee.dev/merchant/member/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"createTimeEnd": 123,
"createTimeStart": 123,
"email": "<string>",
"page": 123,
"roleIds": [
123
],
"searchKey": "<string>"
}
'{
"code": 123,
"data": {
"merchantMembers": [
{
"MemberGroupPermission": {},
"MemberRoles": [
{
"createTime": 123,
"id": 123,
"merchantId": 123,
"permissions": [
{
"group": "<string>",
"permissions": [
"<string>"
]
}
],
"role": "<string>"
}
],
"createTime": 123,
"currentDeviceIdentity": "<string>",
"deviceList": [
{
"currentDevice": true,
"identity": "<string>",
"ipAddress": "<string>",
"lastActiveTime": 123,
"lastLoginTime": 123,
"lastTotpVerificationTime": 123,
"name": "<string>",
"status": true
}
],
"email": "<string>",
"firstName": "<string>",
"id": 123,
"isBlankPasswd": true,
"isOwner": true,
"lastName": "<string>",
"merchantId": 123,
"mobile": "<string>",
"oauthAccounts": [
{
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"name": "<string>",
"provider": "<string>",
"providerId": "<string>"
}
],
"status": 123,
"totpType": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/member/list
Get Member List
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
count | integer | No | Count Of Page |
createTimeEnd | integer | No | CreateTimeEnd,UTC timestamp,seconds |
createTimeStart | integer | No | CreateTimeStart,UTC timestamp,seconds |
email | string | No | Search Filter Email |
page | integer | No | Page, Start With 0 |
roleIds | array | No | The member roleId if specified’ |
searchKey | string | No | Search Key, FirstName,LastName or Email |
curl -X POST "https://api.unibee.dev/merchant/member/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"createTimeEnd": 0,
"createTimeStart": 0,
"email": "user@example.com",
"page": 0,
"roleIds": [],
"searchKey": ""
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/member/list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"createTimeEnd": 0,
"createTimeStart": 0,
"email": "user@example.com",
"page": 0,
"roleIds": [],
"searchKey": ""
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.merchantMembers | array | Merchant Member Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Count Of Page
CreateTimeEnd,UTC timestamp,seconds
CreateTimeStart,UTC timestamp,seconds
Search Filter Email
Page, Start With 0
The member roleId if specified'
Search Key, FirstName,LastName or Email